Selfie प्राप्त करेंGET
create पर Human Plugin द्वारा लौटाई गई id से किसी process के लिए capture की गई selfie पढ़ें।
GET /v1/processes/{id}/selfie
id create के जवाब का UUID है। request में कोई body और कोई query parameters नहीं हैं।
curl http://human-plugin.internal:8080/v1/processes/17e4546e-6109-4240-8c0b-4ba98474a104/selfie
Human Plugin selfie की कोई प्रति नहीं रखता: हर call उसे दोबारा fetch करती है।
Response
200 OK, छवि base64 में और उसके type के साथ:
{
"fileContents": "/9j/4AAQSkZJRgABAQAAAQABAAD…",
"contentType": "image/jpeg"
}
इसे फ़ाइल के रूप में सहेजने के लिए:
curl -s http://human-plugin.internal:8080/v1/processes/17e4546e-6109-4240-8c0b-4ba98474a104/selfie \
| jq -r .fileContents | base64 -d > selfie.jpg